2

I am building an automatic configure Package for our environment and it has to ask a few debconf questions when installing. Until Ubuntu 13.10 it was no problem installing it via the GUI but since 14.04 the Software-Center just hangs when installing.

After installing libgtk2-perl separately this is no longer a problem and the questions are getting asked.

Is this a Bug in the Software-Center or how am I supposed to handle it?

My current workaround is a Pre-Depends on libgtk2-perl but this shouldn't be the final solution and sucks for people installing it via Terminal.

  • looks like your app depends upon libgtk2-perl. Doesn't look like a serious concern, is it? – Registered User Jun 18 '14 at 13:22
  • My program doesn't need it, but the debconf frontend used by the Software-Center needs it, my package just needs debconf. – mist Jun 18 '14 at 13:25
  • You solved my problem! I couldn't find anything about this. My package works in Ubuntu before 14.04 and suddenly started freezing in 14.04. The only difference for me is that even a Pre-Depends didn't work (or a manual apt-get install in preinst for that matter). I had to run apt-get install libgtk2-perl before installing my package. I'll probably submit a bug report tomorrow, but a fix for now would be really nice... sigh... – ubomb Jul 28 '14 at 21:57

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.